/* ── PLAYER ── */
.documentaire-body {
  margin: 0;
  padding: 0;
  background-color: #000;
  background-image: none;
  overflow: hidden;
  width: 100vw;
  height: 100vh;
}

.documentaire-body iframe {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  border: none;
  z-index: 1;
}

.btn-retour {
  position: fixed;
  top: 1.5rem;
  left: 1.5rem;
  z-index: 10;
  font-family: "Instrument Sans", sans-serif;
  font-size: 0.9rem;
  color: #f5f2d6;
  text-decoration: none;
  background-color: rgba(255, 255, 255, 0.15);
  padding: 8px 16px;
  border-radius: 999px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  opacity: 0.5;
  transition: opacity 0.3s ease;
}

.btn-retour.visible {
  opacity: 1;
}

.hidden {
  display: none;
}

/* ── OVERLAY pour capter le mousemove ── */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 20vw; /* ← zone du bouton en largeur */
  height: 15vh; /* ← zone du bouton en hauteur */
  z-index: 5;
  background: transparent;
  pointer-events: all;
}

.btn-passer {
  position: fixed;
  bottom: 1.5rem;
  right: 1.5rem;
  z-index: 10;
  font-family: "Instrument Sans", sans-serif;
  font-size: 0.9rem;
  color: #f5f2d6;
  text-decoration: none;
  background-color: rgba(255, 255, 255, 0.15);
  padding: 8px 16px;
  border-radius: 999px;
  border: 1px solid rgba(255, 255, 255, 0.4);
  opacity: 0.5;
  transition: opacity 0.3s ease;
}

.btn-passer.visible {
  opacity: 1;
}

.btn-passer::before {
  background-color: #f5f2d6;
}
